import React from "react";
import { GetStarted as Main } from "../components";
import { GetStartedLayout, LetsGetStartedLayout } from "../layouts";
import BVN from "../components/GetStarted/BVN";

const GetStartedPage: React.FC = () => {
  const [step, setStep] = React.useState(1);

  const handleNextStep = () => {
    if (step < 5) {
      setStep(step + 1);
    }
  };
  return (
    <>
    {step == 1 ?
      <LetsGetStartedLayout>
        <BVN handleNextStep={handleNextStep} />
      </LetsGetStartedLayout>
    :
      <GetStartedLayout>
        <Main step={step} handleNextStep={handleNextStep} />
      </GetStartedLayout>
    }
    </>
  );
};

export default GetStartedPage;
